import { JsonValidationSet } from '@shopify/theme-check-common';
import { CompletionItem, CompletionList, CompletionParams, Hover, HoverParams, ClientCapabilities as LSPClientCapabilities } from 'vscode-languageserver';
import { DocumentManager } from '../documents';
export declare class JSONLanguageService {
    private documentManager;
    private jsonValidationSet;
    private service;
    constructor(documentManager: DocumentManager, jsonValidationSet: JsonValidationSet);
    setup(clientCapabilities: LSPClientCapabilities): void;
    completions(params: CompletionParams): Promise<null | CompletionList | CompletionItem[]>;
    hover(params: HoverParams): Promise<Hover | null>;
    private getDocuments;
    private getSchemaForURI;
}
